package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallPurchaseNotes;

/**
 * 购买须知Mapper接口
 * 
 * @author ruoyi
 * @date 2022-07-06
 */
public interface MallPurchaseNotesMapper 
{
    /**
     * 查询购买须知
     * 
     * @param id 购买须知主键
     * @return 购买须知
     */
    public MallPurchaseNotes selectMallPurchaseNotesById(Integer id);

    /**
     * 查询购买须知列表
     * 
     * @param mallPurchaseNotes 购买须知
     * @return 购买须知集合
     */
    public List<MallPurchaseNotes> selectMallPurchaseNotesList(MallPurchaseNotes mallPurchaseNotes);

    /**
     * 新增购买须知
     * 
     * @param mallPurchaseNotes 购买须知
     * @return 结果
     */
    public int insertMallPurchaseNotes(MallPurchaseNotes mallPurchaseNotes);

    /**
     * 修改购买须知
     * 
     * @param mallPurchaseNotes 购买须知
     * @return 结果
     */
    public int updateMallPurchaseNotes(MallPurchaseNotes mallPurchaseNotes);

    /**
     * 删除购买须知
     * 
     * @param id 购买须知主键
     * @return 结果
     */
    public int deleteMallPurchaseNotesById(Integer id);

    /**
     * 批量删除购买须知
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallPurchaseNotesByIds(Integer[] ids);
}
